import { EmitContext, JSONSchemaType, Program } from '@typespec/compiler';
export interface HtmlProgramViewerOptions {
    /**
     * Override compiler output-dir
     */
    "output-dir"?: string;
}
export declare function renderProgram(program: Program): string;
export declare const libDef: {
    readonly name: "@typespec/html-program-viewer";
    readonly diagnostics: {};
    readonly emitter: {
        readonly options: JSONSchemaType<HtmlProgramViewerOptions>;
    };
};
export declare const $lib: import('@typespec/compiler').TypeSpecLibrary<{
    [code: string]: import('@typespec/compiler').DiagnosticMessages;
}, HtmlProgramViewerOptions, never>;
export declare function $onEmit(context: EmitContext<HtmlProgramViewerOptions>): Promise<void>;
//# sourceMappingURL=emitter.d.ts.map